# Rainbow Six Weapons Pack

Assortment of weapons and gadgets from Rainbow Six Siege.

This modpack will grow over time as I add more guns and gadgets!

* The Caber (Sledge's hammer)
  * Find in: Melee -> Tactical
  * Textures by **Andrew.**
* Deployable Shield
  * Find in: Misc. -> Utility
  * Place the shield on the ground like you would the claymore, it will engage and play an audio cue. Then grab one of the handles and pull upward to extend it.
  * Textures by **Nikpo.**
* Le Roc (Montagne's Shield)
  * Find in: Melee -> Shields
  * Deploy the shield by grabbing the red handle and sliding it up.
  * Textures by **Nikpo.**
* V308
  * Find in: Battle Rifles
  * Takes SCAR 17 mags.
  * Bonus skin by **Violet.**
* Bailiff 410
  * Find in: Revolvers
  * Has invisible rail on top for optics.
  * Textures by **Violet, Arpy,** and **Muzzle**.
* BOSG 12
  * Find in: Shotguns -> Break Action
  * Textures by **Nikpo.**
* CSRX 300
  * Find in: Bolt-Action Rifles
  * Open grenade launcher with left click on touchpad.
  * Adjust scope by grabbing one of the knobs on it.
* CZ75 Auto
  * Find in: Machine Pistols
  * Mag can be attached to a rail and used as a foregrip!
* P10 Roni
  * Find in: PDWs
* T-5 SMG
  * Find in: SMGs
  * Takes MP-5 mags
* UZK 50GI
  * Find in: SMGs
* Diamond Sights
  * Find in: Attachments -> Iron Sights

If you'd like to support my work, buy me a coffee! I'll use anything I earn on Ko-fi for purchasing more assets/models for future mods.

[![Ko-fi Button](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/sirpotatos70616)

Please give me feedback and bug reports on any of the H3 discords (SirPotatos).

![The Caber (Sledge's Hammer)](https://imgur.com/20PTfSE.jpg)

![Deployable Shield](https://imgur.com/4yLNB7D.jpg)

![Le Roc (Montagne's Shield)](https://imgur.com/1h2iMQR.jpg)

![V308](https://imgur.com/x39b0XO.jpg)

![Bailiff 410](https://imgur.com/YUmuXUT.jpg)

![BOSG 12](https://imgur.com/pHT78CX.jpg)

![CSRX 300](https://i.imgur.com/oN7phi7.jpg)

![CZ75 Auto](https://imgur.com/g3FROUX.jpg)

![P10 Roni](https://imgur.com/combC2r.jpg)

![T-5 SMG](https://imgur.com/bddc7Bb.jpg)

![UZK 50GI](https://imgur.com/WyKiAal.jpg)

![Diamond Iron Sights](https://imgur.com/FAulHiC.jpg)

# Changelog

## [2.2.0] - 2024-01-07

### Added

* CZ75 Auto
* P10 Roni
* T-5 SMG
* UZK 50GI

## [2.1.0] - 2022-04-12

### Added

* CSRX300

## [2.0.0] - 2022-02-21

### Changed

* All weapons have been split into standalone mods. This weapons pack is now simply a mod pack for all my R6 weapons.
* Added new mod tag for "R6 Siege" so you can easily find all the siege items in the new item spawner.

## [1.2.0] - 2022-01-29

### Added

* Le Roc
* V308
* Bailiff 410
* BOSG12
* CZ75 26rnd Mag
* Diamond Iron Sights

### Changed

* Changed all item IDs' suffix from ".sirpotatos" to ".tt" (TatoTactical)

## [1.1.1] - 2021-01-06

### Fixed

* Fixed missing H3 Utils dependency for Deployable Shield.

## [1.1.0] - 2021-01-02

* Standalone Release on Thunderstore.

### Changed

* Updated for On-Demand Loading.
* Shifted Deployable Shield QB position rearward.
* Scaled up Deployable Shield slightly.

## [1.0.0] - 2021-12-14

* Initial Release for Modmas Day 14.